// define segment codes
`define SS_0 8'b0000_0011
`define SS_1 8'b1001_1111
`define SS_0_point 8'b0000_0010
`define SS_1_point 8'b1001_1110
`define SS_2 8'b0010_0101
`define SS_2_point 8'b0010_0100
`define SS_3 8'b0000_1101
`define SS_3_point 8'b0000_1100
`define SS_4 8'b1001_1001
`define SS_4_point 8'b1001_1000
`define SS_5 8'b0100_1001
`define SS_5_point 8'b0100_1000
`define SS_6 8'b0100_0001
`define SS_6_point 8'b0100_0000
`define SS_7 8'b0001_1111
`define SS_7_point 8'b0001_1110
`define SS_8 8'b0000_0001
`define SS_8_point 8'b0000_0000
`define SS_9 8'b0000_1001
`define SS_9_point 8'b0000_1000

module Display_7_segment(D_ssd, i, point);
output [7:0] D_ssd;
input [3:0] i;
reg [7:0] D_ssd; 
input point; 

always @*
  case (i)
    4'd0:
    begin
        if(point) 
            D_ssd = `SS_0_point;
        else
            D_ssd = `SS_0;
    end
    4'd1:
      begin
       if(point) 
            D_ssd = `SS_1_point;
       else
            D_ssd = `SS_1;
       end
    4'd2: 
        begin
           if(point) 
                D_ssd = `SS_2_point;
           else
                D_ssd = `SS_2;
         end
    4'd3:
        begin
           if(point) 
                D_ssd = `SS_3_point;
           else
                D_ssd = `SS_3;
        end
    4'd4:
        begin
           if(point) 
                D_ssd = `SS_4_point;
           else
                D_ssd = `SS_4;
        end
    4'd5: 
        begin
           if(point) 
                D_ssd = `SS_5_point;
           else
                D_ssd = `SS_5;
        end
    4'd6:
        begin
           if(point) 
                D_ssd = `SS_6_point;
           else
                D_ssd = `SS_6;
         end
    4'd7:
        begin
           if(point) 
                D_ssd = `SS_7_point;
           else
                D_ssd = `SS_7;
        end
    4'd8:
         begin
              if(point) 
                   D_ssd = `SS_8_point;
              else
                   D_ssd = `SS_8;
         end
    4'd9: 
         begin
              if(point) 
                   D_ssd = `SS_9_point;
              else
                   D_ssd = `SS_9;
        end
    default:
         begin
              if(point) 
                   D_ssd = 8'd0;
              else
                   D_ssd = 8'd0;
          end
  endcase
endmodule